SystemOrganization addCategory: #'Seaside-Tests-Environment'!

WAFileHandlerListingTest subclass: #WAHtmlFileHandlerListingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAHtmlFileHandlerListingTest methodsFor: 'testing' stamp: 'MAD 2/21/2009 13:42'!
expectedMimeType
	^ WAMimeType textHtml! !

!WAHtmlFileHandlerListingTest methodsFor: 'testing' stamp: 'MAD 2/21/2009 13:36'!
handlerClass
	^ WAHtmlFileHandlerListing! !

!WAPackage class methodsFor: '*seaside-tests-environment' stamp: 'lr 10/23/2008 21:33'!
seasideTestsEnvironment
	^ self new
		name: 'Seaside-Tests-Environment';
		description: 'Unit tests for the package Seaside-Environment.';
		addDependency: 'Seaside-Environment';
		addDependency: 'Seaside-Tests-Component';
		addDependency: 'Seaside-Tests-RenderLoop';
		addDependency: 'Seaside-Tests-Session';
		addDependency: 'Seaside-Tests-Canvas';
		yourself! !

TestCase subclass: #WAEnvironmentDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAEnvironmentDefaultHandlersTest methodsFor: 'private' stamp: 'jf 1/22/2009 02:43'!
baseName
	^ WAPlatform current defaultDispatcherName! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'private' stamp: 'jf 10/7/2008 01:42'!
defaultDispatcher
	^ WADispatcher default! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 10/7/2008 01:46'!
testDefaultConfig
	| app |
	app := self defaultDispatcher entryPointAt: 'tests/alltests'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'alltests'.
	self assert: app basePath = ('/' , self baseName , '/tests/alltests')! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 10/7/2008 01:46'!
testDefaultCounterDirect
	| app |
	app := self defaultDispatcher entryPointAt: 'examples/counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app basePath = ('/' , self baseName , '/examples/counter')! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 10/7/2008 01:46'!
testDefaultCounterNavigate
	| app |
	app := self defaultDispatcher entryPointAt: 'examples'.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self deny: app isRoot.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'examples'.
	self assert: app basePath = ('/' , self baseName , '/examples').
	app := app entryPointAt: 'counter'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'counter'.
	self assert: app parent name = 'examples'.
	self assert: app basePath = ('/' , self baseName , '/examples/counter')! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 10/7/2008 01:46'!
testDefaultFiles
	| app |
	app := self defaultDispatcher entryPointAt: 'files'.
	self assert: app class == WAFileHandler.
	self deny: app isDispatcher.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'files'.
	self assert: app basePath = ('/' , self baseName , '/files')! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 10/7/2008 01:44'!
testDefaultRoot
	| app |
	app := self defaultDispatcher.
	self assert: app == WADispatcher default.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self assert: app isRoot.
	self deny: app isApplication.
	self assert: app parent isNil.
	self assert: app name = self baseName.
	self assert: app basePath = ('/' , self baseName)! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'jf 10/7/2008 01:46'!
testDefaultTests
	| app |
	app := self defaultDispatcher entryPointAt: 'tests'.
	self assert: app class == WADispatcher.
	self assert: app isDispatcher.
	self deny: app isRoot.
	self deny: app isApplication.
	self deny: app parent isNil.
	self assert: app name = 'tests'.
	self assert: app basePath = ('/' , self baseName , '/tests')! !

!WAEnvironmentDefaultHandlersTest methodsFor: 'testing' stamp: 'obi 1/2/2009 17:23'!
testInvalidConfig
	| app |
	app := self defaultDispatcher entryPointAt: 'examplesxyz/counter' ifAbsent: [nil].
	self assert: app isNil.
	app := self defaultDispatcher entryPointAt: 'examples/counterxyz' ifAbsent: [nil].
	self assert: app isNil.
	! !
